Subject: Re: [Fwd: Header Compression Error Recovery]

From: GeeVarghese John <[email-masked]>
Date: Thu, 15 Jul 1999 11:04:33 -0300

Hi Joey,

Answre to your problem with your example :

If decompressor receives fifth pkt insted of fourth it needs to invalidate the
context (RFC 2508) by sending CONTEXT_STATE packet. Once the context is invalidated

what is acceptable to this context is a FULL_HEADER packet (or terminate the
context if there is no FULL_HEADER).
If the context is waiting for the FULL_HEADER packet and mean while compressed
packets
arrive, those pkts will be rejected by the decompressor.
or other implementation could be save the other pkts (5,6,7,8) and wait for
pkt 4 for a period of n units. (But there are many issues to resolve then)
If it does not receive pkt 4 within this period then invalidate the context.
Once the context has been invalidated next acceptable pkt is FULL_HEADER.

Second part of the question ..

How long you should wait for a FULL_HEADER pkt ?

For this prblme there can be a timer based soln or counter
of number of compressed pkt based soln.
Second soln may be more attractive. Prblm with timer soln is
you canot predict when the source will send you next RTP pkt.
With the second soln, if you receive n compressed pkts
after invalidating the context you could resend the CONTEXT_STATE pkt.

I donot want to suggest any number for the timeout period ..

Hope my answers will help you ..
More doubts are welcome ..
You could subscibe to [email-masked] also for more answers.

Rgds
GVJ

Anand Kumar Goenka wrote:

> I gues u could answer this question . ...
>
> Anand(K.G.)
>
>   ------------------------------------------------------------------------
>
> Subject: Header Compression Error Recovery
> Date: Wed, 14 Jul 1999 17:28:05 -0700
> From: Mark Llacuna <[email-masked]>
> To: "[email-masked]'" <[email-masked]>
>
> Hello everyone,
>
>         I have  a few questions as to how an implementation of RTP header
> compression would behave in case an out-of-order packet is received.  The
> RFC (2508) specifies that if for example the first three compressed packets
> were OK but instead of the fourth packet, the fifth packet was received by
> the decompressor, the decompressor would invalidate the context and send a
> CONTEXT_STATE packet.  The question therefore is:
>
>         a) does the decompressor keep the first three packets?
>         b) does the compressor send the fourth packet ( based on the
> sequence number in the CONTEXT STATE packet )? and resend the fifth packet?
>         c) if for example, there are several packets ( say 5,6,7,8 ) that
> were received in the interim ( before a new FULL HEADER ) is received, what
> is the heuristic used for resending a CONTEXT_STATE packet?  Or do you
> actually just set a timer until a FULL_HEADER is received and resend a
> CONTEXT-STATE?
>         d) in case you use timers for c), what would be a recommended
> timeout period?
>
>         Any answers would be really useful.
>
> Regards,
> Joey Salanga
>
> ---------
> This message came from the IETF IPTEL Working Group Mailing List.

---------
This message came from the IETF IPTEL Working Group Mailing List.